package de.beyondsoft.ownchat.page.fileconfirmation;

import android.content.Context;
import android.net.Uri;
import android.support.annotation.NonNull;

import de.beyondsoft.ownchat.data.api.services.ChatService;
import de.beyondsoft.ownchat.page.mvp.MVPAbstractPresenter;

import javax.inject.Inject;

/**
 * Created by Lyndon on 13-Oct-2017.
 */

public class FileConfirmationPresenter extends MVPAbstractPresenter<FileConfirmationView> implements FileConfirmationView.Callback {

    @Inject
    ChatService mChatService;

    @Inject
    Context mContext;

    @Inject
    FileConfirmationPresenter() {}

    @Override
    protected void afterAttachView(@NonNull FileConfirmationView view) {
        super.afterAttachView(view);
        view.setCallback(this);
    }

    @Override
    protected void beforeDetachView(@NonNull FileConfirmationView view) {
        view.setCallback(null);
        super.beforeDetachView(view);
    }

    @Override
    public void sendFile(Uri fileUri) {

    }
}
